post
https://api.zetaglobal.net/ver2//activities
This endpoint can be used to both update a user and create an event. identify_person should only be set to true when doing a profile update, else both processes will run regardless and the processing time will be impacted unnecessarily.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Example body, note that properties is available within the subscriber object as it is in the Identify a person endpoint, where name/value pairs can be added to create or update person-level properties. this is not to be confused with properties which exists within the activity object and will store name/value pairs sent in the event.
{
"activity": {
"identify_person": true,
"subscriber": {
"uid": "12345",
"unique_client_ids": [
{
"name": "test",
"value": "12345"
}
],
"properties": {
"favorite_color": "green",
"favorite_pet": "cat"
},
"contacts": [
{
"contact_value": "[email protected]",
"contact_type": "email"
}
]
},
"event": "sample_event",
"properties": {
"product_id": "A-123-BCD-XYZ",
"items": 2,
"subtotal": "$123.45",
"street_address": "123 main st"
}
}
}
